freeslot("MT_FROG_BOX","SPR_FBOX","MT_FROG_ICON","S_FROG_BOX","S_FROG_ICON1","S_FROG_ICON2")

mobjinfo[MT_FROG_BOX] = {
	--$Name Frog Switch Box
	--$Sprite FBOXA0
	--$Category Monitors
	doomednum = 6735,
	spawnstate = S_FROG_BOX,
	reactiontime = 8,
	painstate = S_FROG_BOX,
	deathstate = S_BOX_POP1,
	deathsound = sfx_pop,
	speed = 1,
	radius = 18*FRACUNIT,
	height = 40*FRACUNIT,
	mass = 100,
	damage = MT_FROG_ICON,
	flags = MF_SOLID|MF_SHOOTABLE|MF_MONITOR
}

mobjinfo[MT_FROG_ICON] = {
	doomednum = -1,
	spawnstate = S_FROG_ICON1,
	seesound = sfx_kc54,
	reactiontime = 8,
	deathsound = sfx_pop,
	speed = 2*FRACUNIT,
	radius = 8*FRACUNIT,
	height = 14*FRACUNIT,
	mass = 100,
	damage = 62*FRACUNIT,
	flags = MF_NOBLOCKMAP|MF_NOGRAVITY|MF_NOCLIP|MF_BOXICON|MF_SCENERY
}

states[S_FROG_BOX] = {SPR_FBOX,A,2,nil,0,0,S_BOX_FLICKER}
states[S_FROG_ICON1] = {SPR_FBOX,C|FF_ANIMATE,18,nil,3,4,S_FROG_ICON2}
states[S_FROG_ICON2] = {SPR_FBOX,C,18,nil,nil}

freeslot("MT_YELOW","SPR_YBOX","S_YELOW_BOX")

mobjinfo[MT_YELOW] = {
	--$Name Yelow Box
	--$Sprite YBOXA0
	--$Category Monitors
	doomednum = 6740,
	spawnstate = S_YELOW_BOX,
	reactiontime = 8,
	painstate = S_FROG_BOX,
	deathstate = S_BOX_POP1,
	deathsound = sfx_pop,
	speed = 1,
	radius = 18*FRACUNIT,
	height = 40*FRACUNIT,
	mass = 100,
	damage = S_NULL,
	flags = MF_SOLID|MF_SHOOTABLE|MF_MONITOR
}

states[S_YELOW_BOX] = {SPR_YBOX,A,2,nil,0,0,S_BOX_FLICKER}

freeslot(
	"MT_SCARE",
	"S_SCARE_STND",
	"S_SCARE_RUN",
	"SPR_SCAR"
)

mobjinfo[MT_SCARE] = {
	//$Name SCARE
	//$Sprite SCARA0
	//$Category SCARE
	doomednum = 6782,
	spawnstate = S_SCARE_STND,
	spawnhealth = 1,
	seestate = S_SCARE_RUN,
	reactiontime = 32,
	painchance = 100,
	deathstate =  S_BOX_POP1,
	deathsound = sfx_pop,
	speed = 40,
	radius = 40*FRACUNIT,
	height = 502*FRACUNIT,
	flags = MF_ENEMY|MF_SPECIAL|MF_SHOOTABLE
}

states[S_SCARE_STND] =	{SPR_SCAR,	A,	5,	A_Look,	0,	0,	S_SCARE_STND}

states[S_SCARE_RUN] =	{SPR_SCAR,	A,	3,	A_Chase,	0,	0,	S_SCARE_RUN}

	
	freeslot(
	"MT_YELLOWRING",
	"S_YELLOWRING1",
	"S_YELLOWRING2",
	"S_YELLOWRING3",
	"S_YELLOWRING4",
	"MT_PURPLERING",
	"MT_GREYRING",
	"SPR_YLRG"
)

mobjinfo[MT_YELLOWRING] = {
		//$Name "Yellow Ring"
		//$Sprite YLRGA0
		//$Category Banddys' Shit
		doomednum = 6780,
		spawnstate = S_YELLOWRING1,
		spawnhealth = 1000,
		seestate = S_NULL,
		seesound = sfx_None,
		reactiontime = 44,
		attacksound = sfx_None,
		painstate = S_NULL,
		painchance = S_NULL,
		painsound = sfx_None,
		meleestate = S_NULL,
		missilestate = S_NULL,
		deathstate = S_NULL,
		deathsound = sfx_itemup,
		xdeathstate = S_NULL,
		speed = 60*FRACUNIT,
		radius = 16*FRACUNIT,
		height = 16*FRACUNIT,
		mass = 100,
		damage = 0,
		activesound = sfx_None,
		raisestate = S_NULL,
		flags = MF_SPECIAL|MF_NOGRAVITY|MF_SLIDEME

}

mobjinfo[MT_PURPLERING] = {
		doomednum = -1,
		spawnstate = S_YELLOWRING1,
		spawnhealth = 1000,
		seestate = S_NULL,
		seesound = sfx_None,
		reactiontime = 44,
		attacksound = sfx_None,
		painstate = S_NULL,
		painchance = S_NULL,
		painsound = sfx_None,
		meleestate = S_NULL,
		missilestate = S_NULL,
		deathstate = S_NULL,
		deathsound = sfx_none,
		xdeathstate = S_NULL,
		speed = 60*FRACUNIT,
		radius = 5*FRACUNIT,
		height = 32*FRACUNIT,
		mass = 100,
		damage = 0,
		activesound = sfx_None,
		raisestate = S_NULL,
		flags = MF_SLIDEME|MF_SPECIAL|MF_NOGRAVITY|MF_NOCLIPHEIGHT

}

mobjinfo[MT_GREYRING] = {
		doomednum = 6786,
		spawnstate = S_YELLOWRING1,
		spawnhealth = 1000,
		seestate = S_NULL,
		seesound = sfx_None,
		reactiontime = 44,
		attacksound = sfx_None,
		painstate = S_NULL,
		painchance = S_NULL,
		painsound = sfx_None,
		meleestate = S_NULL,
		missilestate = S_NULL,
		deathstate = S_NULL,
		deathsound = sfx_None,
		xdeathstate = S_NULL,
		speed = 60*FRACUNIT,
		radius = 5*FRACUNIT,
		height = 32*FRACUNIT,
		mass = 100,
		damage = 0,
		activesound = sfx_None,
		raisestate = S_NULL,
		flags = MF_SLIDEME|MF_SPECIAL|MF_NOGRAVITY|MF_NOCLIPHEIGHT

}

states[S_YELLOWRING1] = {SPR_YLRG, A, 2, A_ForceStop, 0, 0, S_YELLOWRING2}
states[S_YELLOWRING2] = {SPR_YLRG, B, 2, A_ForceStop, 0, 0, S_YELLOWRING3}
states[S_YELLOWRING3] = {SPR_YLRG, C, 2, A_ForceStop, 0, 0, S_YELLOWRING4}
states[S_YELLOWRING4] = {SPR_YLRG, D, 2, A_ForceStop, 0, 0, S_YELLOWRING1}

addHook("TouchSpecial", function(can, mo, p)
P_GivePlayerRings(mo.player,1)
end, MT_GREYRING)

addHook("TouchSpecial", function(can, mo)
	P_GivePlayerRings(mo.player, -1)
	if mo.player.rings == 0
	P_DamageMobj(mo, nil, nil, nil, DMG_INSTAKILL)
	end
	return false
end, MT_PURPLERING)

addHook("TouchSpecial", function(can, mo)
	P_GivePlayerRings(mo.player, 1)
end, MT_YELLOWRING)

addHook("TouchSpecial", function(can, mo, p)
	if P_RandomRange(1,4) == 1 and not netgame
	COM_BufInsertText(p, "quit")
	else
	end
	return false
end, MT_GREYRING)

freeslot("SPR_PIGA","S_PINGAS","S_PINGASSEE","MT_PINGAS","sfx_pinga")
sfxinfo[sfx_pinga].caption = "PINGAS?!?!"
mobjinfo[MT_PINGAS] = {
	doomednum = -1,
	spawnstate = S_PINGAS,
	activesound = sfx_pinga,
	seestate = S_PINGASSEE,
	speed = 0,
	radius = 60*FRACUNIT,
	height = 1*FRACUNIT,
	mass = 100,
	flags = MF_SCENERY|MF_SOLID|MF_PUSHABLE
}
states[S_PINGAS] = {SPR_PIGA, A, 2, A_Look, 0, 0, S_PINGAS}
states[S_PINGASSEE] = {SPR_PIGA, A, 2, A_ForceStop, 0, 0, S_PINGASSEE}